/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

//
// logging extension for pan
// (c) 1999 Jason Leach
// released under the GNU GPL
//

#ifndef __LOG_H__
#define __LOG_H__

typedef struct _log_def logger;
struct _log_def {
  int file_open;
  int logging_on;
};


//
// function prototypes
//
int log_open (void);
int log_close (FILE *fp);
void log_add_va (char *, ...);
void log_add (char *);
void log_view (void);

#endif /* __LOG_H__ */
